Ruby: missing/tgamma.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions
tgamma.c File Reference
`#include "ruby/internal/config.h"`
`#include "ruby/missing.h"`
`#include <math.h>`
`#include <errno.h>`

Go to the source code of this file.

## Macros
#define | PI 3.14159265358979324 /* $\pi$ */
#define | LOG_2PI 1.83787706640934548 /* $\log 2\pi$ */
#define | N 8
#define | B0 1 /* Bernoulli numbers */
#define | B1 (-1.0 / 2.0)
#define | B2 ( 1.0 / 6.0)
#define | B4 (-1.0 / 30.0)
#define | B6 ( 1.0 / 42.0)
#define | B8 (-1.0 / 30.0)
#define | B10 ( 5.0 / 66.0)
#define | B12 (-691.0 / 2730.0)
#define | B14 ( 7.0 / 6.0)
#define | B16 (-3617.0 / 510.0)

## Functions
double | tgamma (double x)

## Macro Definition Documentation

## ◆ B0

#define B0 1 /* Bernoulli numbers */

Definition at line 39 of file tgamma.c.

## ◆ B1

#define B1 (-1.0 / 2.0)

Definition at line 40 of file tgamma.c.

## ◆ B10

#define B10 ( 5.0 / 66.0)

Definition at line 45 of file tgamma.c.

## ◆ B12

#define B12 (-691.0 / 2730.0)

Definition at line 46 of file tgamma.c.

## ◆ B14

#define B14 ( 7.0 / 6.0)

Definition at line 47 of file tgamma.c.

## ◆ B16

#define B16 (-3617.0 / 510.0)

Definition at line 48 of file tgamma.c.

## ◆ B2

#define B2 ( 1.0 / 6.0)

Definition at line 41 of file tgamma.c.

## ◆ B4

#define B4 (-1.0 / 30.0)

Definition at line 42 of file tgamma.c.

## ◆ B6

#define B6 ( 1.0 / 42.0)

Definition at line 43 of file tgamma.c.

## ◆ B8

#define B8 (-1.0 / 30.0)

Definition at line 44 of file tgamma.c.

## ◆ LOG_2PI

#define LOG_2PI 1.83787706640934548 /* $\log 2\pi$ */

Definition at line 36 of file tgamma.c.

## ◆ N

#define N 8

Definition at line 37 of file tgamma.c.

## ◆ PI

#define PI 3.14159265358979324 /* $\pi$ */

Definition at line 35 of file tgamma.c.

## Function Documentation

## ◆ tgamma()

double tgamma | ( | double | x | ) |

Definition at line 66 of file tgamma.c.

References domain_error, f, HUGE_VAL, isinf(), lgamma_r(), and PI.